diff --git a/src/backend/utils/adt/json.c b/src/backend/utils/adt/json.c
index f704418..c8b3970 100644
--- a/src/backend/utils/adt/json.c
+++ b/src/backend/utils/adt/json.c
@@ -2311,7 +2311,7 @@ json_object(PG_FUNCTION_ARGS)
 		if (i > 0)
 			appendStringInfoString(&result, ", ");
 		escape_json(&result, v);
-		appendStringInfoString(&result, " : ");
+		appendStringInfoString(&result, ": ");
 		pfree(v);
 		if (in_nulls[i * 2 + 1])
 			appendStringInfoString(&result, "null");
diff --git a/src/test/regress/expected/json.out b/src/test/regress/expected/json.out
index efcdc41..f8eff07 100644
--- a/src/test/regress/expected/json.out
+++ b/src/test/regress/expected/json.out
@@ -1526,16 +1526,16 @@ SELECT json_object('{}', '{}');
 
 -- one dimension
 SELECT json_object('{a,1,b,2,3,NULL,"d e f","a b c"}');
-                      json_object                      
--------------------------------------------------------
- {"a" : "1", "b" : "2", "3" : null, "d e f" : "a b c"}
+                    json_object                    
+---------------------------------------------------
+ {"a": "1", "b": "2", "3": null, "d e f": "a b c"}
 (1 row)
 
 -- same but with two dimensions
 SELECT json_object('{{a,1},{b,2},{3,NULL},{"d e f","a b c"}}');
-                      json_object                      
--------------------------------------------------------
- {"a" : "1", "b" : "2", "3" : null, "d e f" : "a b c"}
+                    json_object                    
+---------------------------------------------------
+ {"a": "1", "b": "2", "3": null, "d e f": "a b c"}
 (1 row)
 
 -- odd number error
